Bug 18499 - ntpdc passwords don't work (ntp v4)
ntpdc passwords don't work (ntp v4)
Product: Red Hat Linux
Classification: Retired
Component: xntp3 (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: 0
Depends On:
  Show dependency treegraph
Reported: 2000-10-06 02:19 EDT by Dean K. Gibson
Modified: 2007-03-26 23:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-07 14:15:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dean K. Gibson 2000-10-06 02:19:18 EDT
Please note that this is also a bug in the current ntp distribution from 
ntp.org, but I thought you would want to know, and perhaps fix it ...
Comment 1 Dean K. Gibson 2000-10-07 14:15:04 EDT
ps:  I logged this under xntp3 because you don't have a way of entering bugs 
for ntp.  You can SEARCH for bugs in component ntp, but you'll never find any, 
since ntp is not listed as a valid component for ENTERING bugs.
Comment 2 Dean K. Gibson 2000-10-07 17:14:04 EDT
Under xntp3, the following segment in the ntp.conf file worked:

requestkey  1234
enable      auth

Under ntp v4, this will NOT allow the use of passwords with key "1234" unless 
either the "enable auth" line is removed, OR the following line is added to 

trustedkey  1234

So, this is presumably a change in the authentication requirements for ntp v4.
Comment 3 Dean K. Gibson 2000-10-08 15:06:02 EDT
According to the author of ntp (Professor David Mills of the University of 
Delaware), the authentication code in ntp v4 has been tighted, and this is 
expected behavior.  Hence, it is not a bug and the resolution is to include 
the "trustedkey" line shown above in ntp.conf.

Note You need to log in before you can comment on or make changes to this bug.